Bug 5764 - Ошибка запуска Caffeine-indicator
: Ошибка запуска Caffeine-indicator
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Contributed Packages
: Fresh
: x86_64 Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-06-14 14:04 MSD by Александр
Modified: 2015-06-15 04:24 MSD (History)
1 user (show)

See Also:
RPM Package: caffeine-2.8.3-3-rosa2014.1.noarch.rpm
ISO-related:
Bad POT generating:
Upstream:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Александр 2015-06-14 14:04:03 MSD
Description of problem:

После последнего большого обновления, перестал запускаться Caffeine-indicator (апплет для ручного управления программой). Сам Caffeine работает нормально.

Ошибка при запуске в терминале:

caffeine-indicator
Traceback (most recent call last):
  File "<frozen importlib._bootstrap>", line 2158, in _find_spec
AttributeError: 'DynamicImporter' object has no attribute 'find_spec'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/bin/caffeine-indicator", line 30, in <module>
    from gi.repository import GLib, Gtk, GObject, AppIndicator3
  File "/usr/lib64/python3.4/site-packages/gi/importer.py", line 53, in find_module
    'introspection typelib not found' % namespace)
ImportError: cannot import name AppIndicator3, introspection typelib not found


Version-Release number of selected component (if applicable):
Версия: 2.8.3

How reproducible:
Запустить. Как я понял из записей других пользователей, эта ошибка имеет масштабный характер.
Comment 1 Denis Silakov 2015-06-14 23:14:56 MSD
Должно быть исправлено в последней сборке caffeine (2.8.3-4). Индикатору не хватало зависимости "typelib(AppIndicator3)" - можно просто доустановить ее руками ("urpmi 'typelib(AppIndicator3)' ")
Comment 2 Александр 2015-06-15 04:24:41 MSD
(In reply to comment #1)
> Должно быть исправлено в последней сборке caffeine (2.8.3-4). Индикатору не
> хватало зависимости "typelib(AppIndicator3)" - можно просто доустановить ее
> руками ("urpmi 'typelib(AppIndicator3)' ")

Да, этого оказалось достаточно. Благодарю!